View Issue Details

IDProjectCategoryView StatusLast Update
0000431GT-MP ClientAPIpublic2018-03-18 18:37
Reporterc0nnexAssigned Toroot 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000431: Add option to Disable ESC-Handling
DescriptionWhile in a NativeUI menu it would be useful if you could disable ESC-handling to use it as "back" or "close this"
Eg. only open pause-menu if ESC pressed twice (in a short seq.) or being held.
TagsNo tags attached.

Activities

root

2017-09-03 17:49

developer   ~0000524

Do you mean to use it like a back button in a menu or for everything (like in onKeyDown)?

c0nnex

2017-09-03 22:29

reporter   ~0000529

I would need it for the NativeUI to be used as Back key , as it's a natural flow to press ESC to close something. Right now it acts as Back AND opens pause menu, which is pretty annoying.

root

2017-09-06 18:22

developer   ~0000532

OnKeyUp/Down does already trigger on the escape key.
Also if you press esc while having a menu open it closes the menu and does not open the pause menu.

What is it what you are asking for?
You could show the parent menu on the OnKeyUp/Down event and it should function like a return button.

c0nnex

2017-09-06 20:04

reporter   ~0000536

Well the behaviour on my system is diffrent:

Menu open , 2nd level.
Press ESC -> Menu goes back one level AND the pause menu opens

root

2017-11-27 19:03

developer   ~0001102

Is this still a problem?

c0nnex

2017-11-27 19:37

reporter   ~0001105

yes

c0nnex

2018-03-17 00:59

reporter   ~0001464

Fixed in current Open Beta

root

2018-03-18 18:37

developer   ~0001465

"Fixed in current Open Beta"

Issue History

Date Modified Username Field Change
2017-09-02 09:37 c0nnex New Issue
2017-09-03 17:49 root Assigned To => root
2017-09-03 17:49 root Status new => feedback
2017-09-03 17:49 root Note Added: 0000524
2017-09-03 22:29 c0nnex Note Added: 0000529
2017-09-03 22:29 c0nnex Status feedback => assigned
2017-09-06 18:22 root Status assigned => feedback
2017-09-06 18:22 root Note Added: 0000532
2017-09-06 20:04 c0nnex Note Added: 0000536
2017-09-06 20:04 c0nnex Status feedback => assigned
2017-11-27 19:03 root Status assigned => feedback
2017-11-27 19:03 root Note Added: 0001102
2017-11-27 19:37 c0nnex Note Added: 0001105
2017-11-27 19:37 c0nnex Status feedback => assigned
2018-03-17 00:59 c0nnex Note Added: 0001464
2018-03-18 18:37 root Status assigned => resolved
2018-03-18 18:37 root Resolution open => fixed
2018-03-18 18:37 root Note Added: 0001465